<?php 
/*
 * Shoputils
 *
 * ПРИМЕЧАНИЕ К ЛИЦЕНЗИОННОМУ СОГЛАШЕНИЮ
 *
 * Этот файл связан лицензионным соглашением, которое можно найти в архиве,
 * вместе с этим файлом. Файл лицензии называется: LICENSE.2.0.x.RUS.TXT
 * Так же лицензионное соглашение можно найти по адресу:
 * http://opencart.shoputils.ru/LICENSE.2.0.x.RUS.TXT
 * 
 * =================================================================
 * OPENCART/ocStore 2.0.x ПРИМЕЧАНИЕ ПО ИСПОЛЬЗОВАНИЮ
 * =================================================================
 *  Этот файл предназначен для Opencart/ocStore 2.0.x. Shoputils не
 *  гарантирует правильную работу этого расширения на любой другой 
 *  версии Opencart/ocStore, кроме Opencart/ocStore 2.0.x. 
 *  Shoputils не поддерживает программное обеспечение для других 
 *  версий Opencart/ocStore.
 * =================================================================
*/

class ModelPaymentShoputilsIk extends Model {
		const METHOD_CODE = 'shoputils_ik';

    public function getMethod($address, $total) {
        $this->load->language('payment/shoputils_ik');

		if (($this->config->get('shoputils_ik_status')) && ($total) &&
        (!$this->config->get('shoputils_ik_minimal_order') || ($total >= (float)$this->config->get('shoputils_ik_minimal_order'))) &&
        (!$this->config->get('shoputils_ik_maximal_order') || ($total <= (float)$this->config->get('shoputils_ik_maximal_order')))) {
            $query = $this->db->query("SELECT * FROM " . DB_PREFIX . "zone_to_geo_zone WHERE geo_zone_id = '" . (int) $this->config->get('shoputils_ik_geo_zone_id') . "' AND country_id = '" . (int) $address['country_id'] . "' AND (zone_id = '" . (int) $address['zone_id'] . "' OR zone_id = '0')");

            if (!$this->config->get('shoputils_ik_geo_zone_id')) {
                $status = true;
            } elseif ($query->num_rows) {
                $status = true;
            } else {
                $status = false;
            }
        } else {
            $status = false;
        }

        $method_data = array();

        if ($status) {
            $title = $this->config->get('shoputils_ik_langdata');
            $method_data = array(
                'code' => 'shoputils_ik',
                'title' => $title[$this->config->get('config_language_id')]['title'],
                'description' => $this->language->get('text_description'),
                'terms'       => '',
                'sort_order' => $this->config->get('shoputils_ik_sort_order')
            );
        }
        return $method_data;
    }

    public function checkLaterpay($order_id) {
          if (($this->config->get('shoputils_ik_laterpay_mode')) && ($this->config->get('shoputils_ik_order_later_status_id') != $this->config->get('shoputils_ik_order_confirm_status_id'))) { //Mode Laterpay Disabled?     
              $order_info = $this->getOrder($order_id);

              if ((!$order_info) || ($order_info['payment_code'] != self::METHOD_CODE)) {
                return false;
              }
              
              return $order_info['order_status_id'] == $this->config->get('shoputils_ik_order_later_status_id');
      }
      return false;
    }
    
    public function getOrderStatusById($order_status_id, $language_id = false) {
        if (!$language_id) {
          $language_id = (int)$this->config->get('config_language_id');
        }
        $query = $this->db->query("SELECT * FROM " . DB_PREFIX . "order_status WHERE order_status_id = '" . (int)$order_status_id . "' AND language_id = '" . $language_id . "'");
        return $query->num_rows ? $query->row['name'] : '';
    }

    public function getCustomerGroup($customer_group_id) {
          $query = $this->db->query("SELECT DISTINCT * FROM " . DB_PREFIX . "customer_group cg LEFT JOIN " . DB_PREFIX . "customer_group_description cgd ON (cg.customer_group_id = cgd.customer_group_id) WHERE cg.customer_group_id = '" . (int)$customer_group_id . "' AND cgd.language_id = '" . (int)$this->config->get('config_language_id') . "'");
        return $query->num_rows ? $query->row['name'] : '';
    }

    /* public function getProducts($order_id) {

    } */

    public function getOrder($order_id) {
      $query = $this->db->query("SELECT * FROM `" . DB_PREFIX . "order` WHERE order_id = '" . (int)$order_id . "'");
        return $query->num_rows ? $query->row : false;
    }
}
?>